# PspLibImport Struct Reference

`#include <tools/prxtypes.h>`

Collaboration diagram for PspLibImport:

[legend]

## Data Fields

PspLibImport * | prev
| Previous import.
PspLibImport * | next
| Next import.
char | name [PSP_LIB_MAX_NAME]
| Name of the library.
u32 | addr
PspModuleImport | stub
PspEntry | funcs [PSP_MAX_F_ENTRIES]
int | f_count
PspEntry | vars [PSP_MAX_V_ENTRIES]
int | v_count

## Field Documentation

u32 PspLibImport::addr

int PspLibImport::f_count

struct PspEntry PspLibImport::funcs[PSP_MAX_F_ENTRIES]

char PspLibImport::name[PSP_LIB_MAX_NAME]

| Name of the library.

struct PspLibImport* PspLibImport::next

| Next import.

struct PspLibImport* PspLibImport::prev

| Previous import.

struct PspModuleImport PspLibImport::stub

int PspLibImport::v_count

struct PspEntry PspLibImport::vars[PSP_MAX_V_ENTRIES]

The documentation for this struct was generated from the following file:

- tools/prxtypes.h